# M169 - Container Deployment

## Journal 
See here : [JOURNAL.md](JOURNAL.md)

## What this Project covers?
- Making Custom LXC Container for Proxmox
- Managing Containers with Proxmox VE Environement
- Demonstrating example services

## The Basics 
Covers the basics neede to know to make sense of this

### What is Proxmox VE
Proxmox VE is an open-source server management platform designed for enterprise virtualisation.
It allows you to create and manage virtual machines and containers using a pretty UI either on a single server over over a cluster of servers.

### What is an LXC Container?
An LXC Container in Proxmox VE is a lighteweight virtualization method that allow you to run multiple isolated Linux Systems (Containers) on a single Host using the shared Linux Kernel.

## Getting started

### What you will need
- 1x or more Proxmox Node(s)
- Linux Computer
- Incase you wish to publicly offer your services a virtual router

### How to use image_builder.sh
TLDR : image_builder.sh is a bash script I wrote to poorly compete with Dockerfiles in a "Proxmox Fashion"
See [Image Builder Readme](image-builder/README.md)

### Project specific image_builder files
All Project files that achieved the goals listen in the [JOURNAL.md](JOURNAL.md) are Documented here : [Realizing Projects](https://adastra7.net/git/crt/m169/src/branch/master/image-builder-512mb)
* With Critical Infrastructure Data left out as it will be used in Production and therefore shouldn't have all its infos displayed publicly
